/* eslint-disable */
import Vue from 'vue'
import Router from 'vue-router'
import api from '../api'
Vue.use(Router)



const router = new Router({
    mode: 'hash',
    base: '/',
    routes: [
        {
            path: '*',
            redirect: '/index/dashbord',
        },
        {
            path: '/',
            redirect: '/index/dashbord',
            component: r => require.ensure([], () => r(require('../views/index')), 'index')
        },
        {
            path: '/index',
            name: '首页',
            component: r => require.ensure([], () => r(require('../views/index')), 'index'),
            children:[
                { path: '', component:r => require.ensure([], () => r(require('../views/dashbord')), 'dashbord'),},
                {
                    path: 'dashbord', component: r => require.ensure([], () => r(require('../views/dashbord')), 'dashbord'),
                    name:'dashbord'
                },
                {
                    path: 'fan',  component: r => require.ensure([], () => r(require('../views/fan')), 'fan'),
                    name:'fan'
                },
                {
                    path: 'fru_info',  component: r => require.ensure([], () => r(require('../views/FRUInfo')), 'fru_info'),
                    name:'fru_info'
                },
                {
                    path: "sensor_history",
                    component: r => require.ensure([], () => r(require('@/views/SensorHistory')), 'sensor_history'),
                    name:'sensor_history'
                },
                {
                    path: "set_proctrol",
                    component: r => require.ensure([], () => r(require('@/views/SetProctrol.vue')), 'set_proctrol'),
                    name:'set_proctrol'
                },
                {
                    path: "event_logs",
                    component: r => require.ensure([], () => r(require('@/views/EventLogs.vue')), 'event_logs'),
                    name:'event_logs'
                },
                {
                    path: "system_logs",
                    component: r => require.ensure([], () => r(require('@/views/SystemLogs.vue')), 'system_logs'),
                    name:'system_logs'
                },
                {
                    path: "BSODScreen",
                    component: r => require.ensure([], () => r(require('@/views/BSODScreen.vue')), 'BSODScreen'),
                    name:'BSODScreen'
                },
                {
                    path: "RemotPwrCtrl",
                    component: r => require.ensure([], () => r(require('@/views/RemotPwrCtrl.vue')), 'RemotPwrCtrl'),
                    name:'RemotPwrCtrl'
                },
                {
                    path: "SelList",
                    component: r => require.ensure([], () => r(require('@/views/SelList.vue')), 'SelList'),
                    name:'SelList'
                },
                {
                    path: "UserManage",
                    component: r => require.ensure([], () => r(require('@/views/UserManage.vue')), 'UserManage'),
                    name:'UserManage'
                },
                {
                    path: "UploadProgre",
                    component: r => require.ensure([], () => r(require('@/views/UploadProgre.vue')), 'UploadProgre'),
                    name:'UploadProgre'
                },
                {
                    path: "setting",
                    component: r => require.ensure([], () => r(require('@/views/setting.vue')), 'setting'),
                    name:'setting'
                }]
        },
        {
            path: '/login',
            name: '登录',
            component: r => require.ensure([], () => r(require('@/views/login')), 'login')
        },

    ]
})

router.beforeEach(async (to, from, next) => {


    // let title = to.name ? to.name : '领存BMC'
    // console.log("/login" == to.path)
    // if("/login" == to.path) {
    //     next()
    //     return
    // }
    // let res = await api.Get('/action/checkLoginStatus',{})
    // if(res.code == 200 && res.data.loginStatus == 'ok'){
    //     next()
    //     return
    // }
    // next({
    //     path:'/login',
    //     query:{
    //         redirect: to.path
    //     }
    // })
    next();
})
// // 跳转后返回顶部
// router.afterEach((to, from, next) => {
//     window.scrollTo(0, 0)
// })
export default router
