import Vue from 'vue';
import Vuex from 'vuex';



Vue.use(Vuex);

const store = new Vuex.Store({
    state: {
        // 状态
        currentblade: JSON.parse(sessionStorage.getItem('currentblade')) || { status: null, slot: null, power: null, name: "", isChMC: null  }
    },
    mutations: {
        currentblade(state, item){
            sessionStorage.setItem('currentblade', JSON.stringify(item))
            state.currentblade = item
        }
    },
    actions: {

    },

});

export default store;
